commit:     140f61b3027f1972e9595b58711c32783964590b
Author:     ScardracS <marco <AT> scardovi <DOT> com>
AuthorDate: Sat Mar 13 18:33:34 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 08:41:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=140f61b3

app-backup/duply: bumping to version 2.3.1

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Marco Scardovi <marco <AT> scardovi.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-backup/duply/Manifest           |  1 +
 app-backup/duply/duply-2.3.1.ebuild | 24 ++++++++++++++++++++++++
 app-backup/duply/metadata.xml       | 15 +++++++++++----
 3 files changed, 36 insertions(+), 4 deletions(-)

diff --git a/app-backup/duply/Manifest b/app-backup/duply/Manifest
index 6c190c9114a..38ad5198dca 100644
--- a/app-backup/duply/Manifest
+++ b/app-backup/duply/Manifest
@@ -3,3 +3,4 @@ DIST duply_2.0.1.tgz 44914 BLAKE2B 
022a99e585a6231e85af84ae161988037fecf885a2a97
 DIST duply_2.0.2.tgz 45406 BLAKE2B 
46299930a2e05c5d3759e7a90a6bab8b41b28bdab95c945f1bbb5977d78cf5b72090edfb10bd69b2539c65b7c3804d45eb6b400866c6337fc4acdc283f8003e0
 SHA512 
2f53d380445272a2354f6914c39373e93d27fdcc5c712d7041fc798547280cebff53882f93d0467d86fc044b8a3a73a6b2fe04a9eaadae55b58bc9c617bab48a
 DIST duply_2.0.3.tgz 45542 BLAKE2B 
101e19712546c71af16f5988f1d1a70139414b03fa6abcf9b82b8a656a9fd7385b4c9f524eb0e62e3af1b9d0b9a494e47505f2c829d39745c8b88ce56e6608a6
 SHA512 
c24dd57f75ab80795d67baf8a7ab79a5ae9608c7faea0ae8b711045371ef0cba49c855cfa0610f030c1c37734775b50052fd1e4162420cb3db624f984e4e8bc1
 DIST duply_2.2.2.tgz 50848 BLAKE2B 
d24c88c57a1a1da83827fbda3ba73249bea96de3b9503b842357182e871ac519b609d6d05d5972cd9a268354fd4d9db87d57680d478714e5f19256b70f23fa42
 SHA512 
2c072f3812989d2d20f9698b5a59eebe5ca8d45eda25622b9e9903748c8fa18374f8d64e0897b7587f62a6a292b277302d15c6785c6b4dd96e127162a5dae358
+DIST duply_2.3.1.tgz 51531 BLAKE2B 
b351d57621cc24cdacf9c0b54c107e4b9caad5da31401534f8add0ae320e5d0534fff9f97fa685f76efcc90b9e6b3a18e87a1d11b90285410cdd3375aa8b5c56
 SHA512 
90f6172e196667c1bf35d4b0acd5759ccfa34a1b7cacdbcf502a67689b7698fca4e4a9ce419b42b70eb57fb784a7c789e2283a8ac366bade9aec25c393548ef8

diff --git a/app-backup/duply/duply-2.3.1.ebuild 
b/app-backup/duply/duply-2.3.1.ebuild
new file mode 100644
index 00000000000..b6505eb3805
--- /dev/null
+++ b/app-backup/duply/duply-2.3.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A shell frontend for duplicity"
+HOMEPAGE="https://duply.net";
+SRC_URI="https://jztkft.dl.sourceforge.net/project/ftplicity/${PN}%20%28simple%20duplicity%29/2.3.x/${PN}_${PV}.tgz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="app-text/txt2man"
+RDEPEND="app-backup/duplicity"
+
+S="${WORKDIR}/${PN}_${PV}"
+
+src_install() {
+       dobin ${PN}
+       ./${PN} txt2man > ${PN}.1 || die
+       doman ${PN}.1
+       dodoc CHANGELOG.txt
+}

diff --git a/app-backup/duply/metadata.xml b/app-backup/duply/metadata.xml
index 928760c70b3..be020aa7a57 100644
--- a/app-backup/duply/metadata.xml
+++ b/app-backup/duply/metadata.xml
@@ -1,8 +1,15 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <!-- maintainer-needed -->
-  <upstream>
-    <remote-id type="sourceforge">ftplicity</remote-id>
-  </upstream>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Marco Scardovi</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="sourceforge">ftplicity</remote-id>
+       </upstream>
 </pkgmetadata>

Reply via email to